Bug 282331 - Blam doesn't open links with commas correctly.
Blam doesn't open links with commas correctly.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: blam (Show other bugs)
7
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-07 09:15 EDT by Michael De La Rue
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.8.3-6.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-25 04:29:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 474549 None None None Never

  None (edit)
Description Michael De La Rue 2007-09-07 09:15:38 EDT
Description of problem:
Some RSS feeds, e.g. http://rss.gazeta.pl/pub/rss/wiadomosci.xml have story
links with commas in them.  When opening these in blam, the commas are HTML
character encoded and so the links don't open correctly.  The links work
correctly when put directly into the browser. 

Version-Release number of selected component (if applicable):
blam-1.8.3-5.fc7

How reproducible:
every time.

Steps to Reproduce:
1. add new feed http://rss.gazeta.pl/pub/rss/wiadomosci.xml
2. refresh
3. try to open any story
4. story doesn't open
5. replace %2c with , in page (multiple times)
6. story opens
  
Actual results:
page opens after stage 6

Expected results:
page opens after stage 4

Additional info:
Comment 1 Peter Gordon 2007-09-08 15:12:30 EDT
Thanks for your bug report; and eureka, this might be easier to solve than I had
thought at first. It appears to be a missing System.Web.HttpUtility library:

** (Blam:17072): WARNING **: Missing method HtmlDecode in assembly
/usr/lib/blam/blam.exe, type System.Web.HttpUtility

Installing the mono-web package seems to fix this issue for me. Can you please
try this and let me know if it also fixes the issue for you? If so, I'll add
this to the spec file as a runtime dependency.

Thanks.
Comment 2 Peter Gordon 2007-09-08 15:16:30 EDT
Actually, I'm going to add the mono-web dependency for bug 275561, so hopefully
it should fix this issue at the same time. I'll push this through the build
system momentarily...
Comment 3 Michael De La Rue 2007-09-09 13:18:29 EDT
I have mono-web-1.2.3-3.fc7 installed and still see the problem.  I did this to
fix my other bug report (bug #275561). I also reported the same problem as bug
#282931 against liferea.  
Comment 4 Fedora Update System 2007-09-10 12:51:57 EDT
blam-1.8.3-6.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2007-09-25 04:29:19 EDT
blam-1.8.3-6.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Michael De La Rue 2007-09-29 16:09:28 EDT
The update just came through.  The bug is fixed.  Thanks.  

Note You need to log in before you can comment on or make changes to this bug.